## com.thingmagic
Enum Gen2.NXP.AES.KeyId

    java.lang.Object
      java.lang.Enum<Gen2.NXP.AES.KeyId>
          com.thingmagic.Gen2.NXP.AES.KeyId

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Gen2.NXP.AES.KeyId>

Enclosing class:
  Gen2.NXP.AES

    public static enum Gen2.NXP.AES.KeyId

extends java.lang.Enum<Gen2.NXP.AES.KeyId>

Authentication KeyId

Enum Constant Summary
`KEY0` KEY0
`KEY1` KEY1

Method Summary
`static Gen2.NXP.AES.KeyId` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Gen2.NXP.AES.KeyId[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### KEY0

    public static final Gen2.NXP.AES.KeyId KEY0

  KEY0

### KEY1

    public static final Gen2.NXP.AES.KeyId KEY1

  KEY1

Method Detail

### values

    public static Gen2.NXP.AES.KeyId[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Gen2.NXP.AES.KeyId c : Gen2.NXP.AES.KeyId.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Gen2.NXP.AES.KeyId valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null